Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.ws.policy.builder.jaxb
Class JaxbAssertion<T>

    java.lang.Object
      org.apache.cxf.ws.policy.builder.primitive.PrimitiveAssertion
          org.apache.cxf.ws.policy.builder.jaxb.JaxbAssertion<T>

All Implemented Interfaces:
  PolicyAssertion, org.apache.neethi.Assertion, org.apache.neethi.PolicyComponent

    public class JaxbAssertion<T>

extends PrimitiveAssertion

Field Summary

Fields inherited from class org.apache.cxf.ws.policy.builder.primitive.PrimitiveAssertion
`name, optional`

Constructor Summary
`JaxbAssertion()`
`JaxbAssertion(QName qn, boolean optional)`

Method Summary
`static
`<T> JaxbAssertion<T>`
` | `cast(PolicyAssertion a)`
`static
`<T> JaxbAssertion<T>`
` | `cast(PolicyAssertion a, Class<T> type)`
`protected PolicyAssertion` | `cloneMandatory()`
`boolean` | `equal(org.apache.neethi.PolicyComponent policyComponent)`
`T` | `getData()`
`void` | `serialize(javax.xml.stream.XMLStreamWriter writer)`
`void` | `setData(T d)`

Methods inherited from class org.apache.cxf.ws.policy.builder.primitive.PrimitiveAssertion
`getName, getPolicy, getType, isAsserted, isOptional, normalize, setName, setOptional, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JaxbAssertion

    public JaxbAssertion()

### JaxbAssertion

    public JaxbAssertion(QName qn,
                         boolean optional)

Method Detail

### equal

    public boolean equal(org.apache.neethi.PolicyComponent policyComponent)

  Specified by:
    `equal` in interface `org.apache.neethi.PolicyComponent`
  Overrides:
    `equal` in class `PrimitiveAssertion`

### setData

    public void setData(T d)

### getData

    public T getData()

### cloneMandatory

    protected PolicyAssertion cloneMandatory()

  Overrides:
    `cloneMandatory` in class `PrimitiveAssertion`

### cast

    public static <T> JaxbAssertion<T> cast(PolicyAssertion a)

### cast

    public static <T> JaxbAssertion<T> cast(PolicyAssertion a,
                                            Class<T> type)

### serialize

    public void serialize(javax.xml.stream.XMLStreamWriter writer)
                   throws javax.xml.stream.XMLStreamException

  Specified by:
    `serialize` in interface `org.apache.neethi.Assertion`
  Specified by:
    `serialize` in interface `org.apache.neethi.PolicyComponent`
  Overrides:
    `serialize` in class `PrimitiveAssertion`
  Throws:
    `javax.xml.stream.XMLStreamException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF